<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">
<style-sheet>
<style-specification>
<style-specification-body>

(declare-flow-object-class element
  "UNREGISTERED::James Clark//Flow Object Class::element")

(declare-flow-object-class empty-element
  "UNREGISTERED::James Clark//Flow Object Class::empty-element")

(element spec
 (make element
       gi: "HTML"
       (make element
	     gi: "TITLE"
	     (literal "XSL Issues"))
       (make element
	     gi: "BODY"
	     (make element
		   gi: "H1"
		   (literal "XSL Issues "
			    (substring (time->string (time))
				       0
				       10)))
	     (process-node-list
	      (select-elements (descendants (current-node)) 'issue)))))

(element issue
	 (sosofo-append
	  (make element
		gi: "H3"
		(literal (format-number (element-number) "1")
			 ". Issue "
			 (let ((id (attribute-string "id")))
			   (substring id
				      6
				      (string-length id)))))
	  (process-children)))

(element p
	 (make element
	       gi: "P"))

(element code
	 (make element
	       gi: "CODE"))

(element eg
	 (make element
	       gi: "PRE"))
			 
</style-specification-body>
</style-specification>
</style-sheet>
