;;
;; $Id: xmlprodh.dsl 1.2 1998/05/17 04:36:44 nwalsh Exp $
;;

(element prod
  (let* ((pcw1str (attribute-string "pcw1" (ancestor "prodgroup")))
	 (pcw1num (if (string? pcw1str) (string->number pcw1str) 2))
	 (pcw2str (attribute-string "pcw2" (ancestor "prodgroup")))
	 (pcw2num (if (string? pcw2str) (string->number pcw2str) 7))
	 (pcw3str (attribute-string "pcw3" (ancestor "prodgroup")))
	 (pcw3num (if (string? pcw3str) (string->number pcw3str) 1.5))
	 (pcw4str (attribute-string "pcw4" (ancestor "prodgroup")))
	 (pcw4num (if (string? pcw4str) (string->number pcw4str) 16.5))
	 ;; pcw4 default is 13.5 in XLL spec
	 (pcw5str (attribute-string "pcw5" (ancestor "prodgroup")))
	 (pcw5num (if (string? pcw5str) (string->number pcw5str) 9)))
	 ;; pcw5 default is 12 in XLL spec
    (make element gi: "TABLE"
	  attributes: '(("BORDER" "0")
			("WIDTH" "100%"))
	  (make element gi: "TR"
		(process-prod (children (current-node)))))))

